Bug 782404 - valgrind: definitely lost issue happens again
valgrind: definitely lost issue happens again
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rajesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-17 06:53 EST by Saurabh
Modified: 2016-01-19 01:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 02:25:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-01-17 06:53:02 EST
Description of problem:


valgrind enabled for nfs process for 3.2.6qa1 release,

then executed iozone, untar of linux tar ball, after test completion found these problems,

==20350== 42 bytes in 1 blocks are definitely lost in loss record 7 of 227
==20350==    at 0x4A04A28: calloc (vg_replace_malloc.c:467)
==20350==    by 0x4C5C312: __gf_calloc (mem-pool.c:142)
==20350==    by 0x7BCC1A9: gf_strdup (mem-pool.h:129)
==20350==    by 0x7BCC682: nfs_loc_fill (nfs-common.c:218)
==20350==    by 0x7BCC7F5: nfs_inode_loc_fill (nfs-common.c:261)
==20350==    by 0x7BCC899: nfs_gfid_loc_fill (nfs-common.c:290)
==20350==    by 0x7BCC8EF: nfs_root_loc_fill (nfs-common.c:305)
==20350==    by 0x7BF6ED9: nfs3_fh_resolve_root (nfs3-helpers.c:3110)
==20350==    by 0x7BF700C: nfs3_fh_resolve_and_resume (nfs3-helpers.c:3146)
==20350==    by 0x7BEB921: nfs3_fsinfo (nfs3.c:4593)
==20350==    by 0x7BEBA71: nfs3svc_fsinfo (nfs3.c:4627)
==20350==    by 0x7BFF25B: nfs_rpcsvc_handle_rpc_call (rpcsvc.c:2018)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.